Description

Hi,

this is a small patch, which provides a live check for the hostname setting in the admin menu.
This is just a function, you can attach as many input fields with different regexp as needed.

| defined this to prevent cases like #13352.

Best regards,
Daniel

Related issues:
Related to Redmine - Defect #13352: Broken links in incoming emails Closed

History

#1 - 2013-04-14 15:07 - Daniel Felix
- File check_hostname_setting.diff added

Forgot the fileupload. ;-)

#2 - 2013-04-14 15:30 - Toshi MARUYAMA

¢ Please use two spaces instead of tabs for intends.
* Please use "javascript_tag" instead of <script type="text/javascript">, refer r10371.
¢ | think that Rails validates_format_of is better than JS.

refer: source:tags/2.3.0/app/models/repository/subversion.rb#L 23

#3 - 2013-04-14 15:55 - Daniel Felix
1. & 2. agreed

3. this script is in thought in addition to the normal validation. The rails validation works after submitting. This script check before the user try to save
anything. A combination would be good, as the user won't be bothered to submit each config x-times.

#4 - 2013-04-14 20:55 - Daniel Felix
- File check_hostname_setting_v2.diff added

1. and 2. are corrected now.

#5 - 2013-04-14 21:24 - Filou Centrinov

- File valid_host_name.patch added

I think also, that validation has to be done by rails instead of JS. My patch tries to store host values correctly, that means: "<anything>://" or "www" is
deleted

#6 - 2013-04-14 21:55 - Daniel Felix

Yes there should be some validation via rails, but this won't be a live check anyway.
The user just can try and error until everything is fine. The frontend should provide a feedback to the client.

By the way, | would prefer this
https://www.redmine.org/issues/13352
https://www.redmine.org/projects/redmine/repository/svn/revisions/10371
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.3.0/app/models/repository/subversion.rb#L23

v = v.gsub(/#{@available_settings[name]['regexp']}/i,") unless @available_settings[name]['regexp’].blank? && v.blank?

instead of this:

v = v.gsub(/#{@available_settings[name]['regexp'l}/i,") if |@available_settings[name]['regexp'].blank? && !v.blank?

There would be less confusion because of the ommitting of the negotiation.

#7 - 2013-04-14 22:40 - Filou Centrinov

If you want to use unless it would be:
v = v.gsub (/#{Q@Ravailable_settings[name] ['regexp']l}/i,'') unless @@available_settings[name] ['regexp'].blank? |
| v.blank?
(De Morgan's law)
#8 - 2013-04-15 15:54 - Daniel Felix
Filou Centrinov wrote:
If you want to use unless it would be:

(-]

(De Morgan's law)

Why @7 should be enough? You haven't changed anything instead of your double @?
#9 - 2013-04-15 19:23 - Filou Centrinov
available_settings is definded as static which is definded with "@@". An instance does not exist, so "@" won't work. Try it out.

You haven't changed anything instead of your double @?

| changed your logical conjunction. If you use unless you have to use || instead of && because of De Morgan's law.

#10 - 2013-04-15 21:21 - Daniel Felix

Ah thanks. | haven't noticed the or. :-) this happens if you try to watch at something while your on the jump to your next meeting. :-)
#11 - 2013-08-08 16:54 - Daniel Felix

Hi there,

any news on this hostname validation patch?

| recently noticed this stumbling block as a friend of mine tried to install Redmine in his company.

Best regards,

Daniel
Files
check_hostname_setting.diff 1.8 KB 2013-04-14 Daniel Felix
check_hostname_setting_v2.diff 1.84 KB 2013-04-14 Daniel Felix
valid_host_name.patch 916 Bytes 2013-04-14 Filou Centrinov
